'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var BaseLink = require('./BaseLink.js');
var baseRedirect = require('./baseRedirect.js');

function createSharedPathnamesNavigation(opts) {
  function notSupported(message) {
    return () => {
      throw new Error("`".concat(message, "` is not supported in Server Components. You can use this hook if you convert the component to a Client Component."));
    };
  }
  return {
    Link: BaseLink.default,
    redirect: baseRedirect.default,
    usePathname: notSupported('usePathname'),
    useRouter: notSupported('useRouter')
  };
}

exports.default = createSharedPathnamesNavigation;
