'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var navigation = require('next/navigation');
var _useLocale = require('use-intl/_useLocale');
var constants = require('../shared/constants.js');

function useLocale() {
  let locale;

  // The types aren't entirely correct here. Outside of Next.js
  // `useParams` can be called, but the return type is `null`.
  const params = navigation.useParams();
  if (typeof (params === null || params === void 0 ? void 0 : params[constants.LOCALE_SEGMENT_NAME]) === 'string') {
    locale = params[constants.LOCALE_SEGMENT_NAME];
  } else {
    // eslint-disable-next-line react-hooks/rules-of-hooks -- Reading from context conditionally is fine as long as we're in the render phase
    locale = _useLocale.useLocale();
  }
  return locale;
}

exports.default = useLocale;
