/**
 * Returns a formatter based on the given locale.
 *
 * The formatter automatically receives the request config, but
 * you can override it by passing in additional options.
 */
export default function getFormatter(opts?: {
    locale?: string;
}): Promise<{
    dateTime: (value: number | Date, formatOrOptions?: string | import("use-intl/dist/types/src/core/DateTimeFormatOptions").default | undefined) => string;
    number: (value: number | bigint, formatOrOptions?: string | import("use-intl/core").NumberFormatOptions | undefined) => string;
    relativeTime: (date: number | Date, nowOrOptions?: number | Date | import("use-intl/dist/types/src/core/RelativeTimeFormatOptions").default | undefined) => string;
    list: (value: Iterable<string>, formatOrOptions?: string | Intl.ListFormatOptions | undefined) => string;
}>;
